---
apiVersion: "v1"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "kafka"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "kafka"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9092
      protocol: "TCP"
      targetPort: 9092
    selector:
      project: "kafka"
      provider: "fabric8"
      group: "io.fabric8.ipaas.apps"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-collector"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-collector-admin"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9900
      protocol: "TCP"
      targetPort: 9900
    selector:
      project: "zipkin-collector"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-collector"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-collector-thrift"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9410
      protocol: "TCP"
      targetPort: 9410
    selector:
      project: "zipkin-collector"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-mysql"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-mysql"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 3306
      protocol: "TCP"
      targetPort: 3306
    selector:
      project: "zipkin-mysql"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-query"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9411
      protocol: "TCP"
      targetPort: 9411
    selector:
      project: "zipkin-query"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-query-admin"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9901
      protocol: "TCP"
      targetPort: 9901
    selector:
      project: "zipkin-query"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - name: "client"
      port: 2181
      targetPort: 2181
    selector:
      project: "zookeeper"
      provider: "fabric8"
      group: "io.fabric8.ipaas.apps"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-1"
  spec:
    clusterIP: "None"
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - name: "election"
      port: 3888
      targetPort: 3888
    - name: "peer"
      port: 2888
      targetPort: 2888
    selector:
      project: "zookeeper"
      provider: "fabric8"
      serverId: "1"
      group: "io.fabric8.ipaas.apps"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-2"
  spec:
    clusterIP: "None"
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - name: "election"
      port: 3888
      targetPort: 3888
    - name: "peer"
      port: 2888
      targetPort: 2888
    selector:
      project: "zookeeper"
      provider: "fabric8"
      serverId: "2"
      group: "io.fabric8.ipaas.apps"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-3"
  spec:
    clusterIP: "None"
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - name: "election"
      port: 3888
      targetPort: 3888
    - name: "peer"
      port: 2888
      targetPort: 2888
    selector:
      project: "zookeeper"
      provider: "fabric8"
      serverId: "3"
      group: "io.fabric8.ipaas.apps"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.108"
      fabric8.io/git-commit: "1f05bb1f49005a5ca248f337201497a2d27a8e8d"
      fabric8.io/build-id: "1"
    labels:
      project: "kafka"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "kafka"
  spec:
    replicas: 1
    selector:
      project: "kafka"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "kafka"
          provider: "fabric8"
          version: "2.2.108"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/kafka:2.2.108"
          name: "kafka"
          ports:
          - containerPort: 9092
            name: "kafka"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts:
          - mountPath: "/opt/kafka/logs"
            name: "logs"
            readOnly: false
        imagePullSecrets: []
        nodeSelector: {}
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "logs"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v0.0.7"
      fabric8.io/git-commit: "44e8de2fcb2143fdeb9e4352412636f779e90e80"
      fabric8.io/build-id: "3"
    labels:
      project: "zipkin-collector"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-collector"
  spec:
    replicas: 1
    selector:
      project: "zipkin-collector"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zipkin-collector"
          provider: "fabric8"
          version: "0.0.7"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "STORAGE_PORT_9042_TCP_ADDR"
            value: "zipkin-cassandra:9411"
          - name: "KAFKA_ZOOKEEPER"
            value: "zookeeper:2181"
          - name: "STORAGE_PORT_3306_TCP_ADDR"
            value: "zipkin-mysql:3306"
          - name: "STORAGE_TYPE"
            value: "mysql"
          - name: "TRANSPORT_TYPE"
            value: "kafka"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "openzipkin/zipkin-collector:1.39.3"
          name: "zipkin-collector"
          ports: []
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v0.0.7"
      fabric8.io/git-commit: "44e8de2fcb2143fdeb9e4352412636f779e90e80"
      fabric8.io/build-id: "3"
    labels:
      project: "zipkin-mysql"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-mysql"
  spec:
    replicas: 1
    selector:
      project: "zipkin-mysql"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zipkin-mysql"
          provider: "fabric8"
          version: "0.0.7"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/zipkin-mysql:1.39.3"
          name: "zipkin-mysql"
          ports: []
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v0.0.7"
      fabric8.io/git-commit: "44e8de2fcb2143fdeb9e4352412636f779e90e80"
      fabric8.io/build-id: "3"
    labels:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-query"
  spec:
    replicas: 1
    selector:
      project: "zipkin-query"
      provider: "fabric8"
      version: "0.0.7"
      group: "io.fabric8.zipkin"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zipkin-query"
          provider: "fabric8"
          version: "0.0.7"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "STORAGE_PORT_9042_TCP_ADDR"
            value: "zipkin-cassandra:9411"
          - name: "STORAGE_PORT_3306_TCP_ADDR"
            value: "zipkin-mysql:3306"
          - name: "STORAGE_TYPE"
            value: "mysql"
          - name: "TRANSPORT_TYPE"
            value: "http"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "openzipkin/zipkin-query:1.39.3"
          name: "zipkin-query"
          ports: []
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-commit: "1f05bb1f49005a5ca248f337201497a2d27a8e8d"
      fabric8.io/git-branch: "release-v2.2.108"
      fabric8.io/build-id: "1"
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "1"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-1"
  spec:
    replicas: 1
    selector:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "1"
      group: "io.fabric8.ipaas.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zookeeper"
          provider: "fabric8"
          version: "2.2.108"
          serverId: "1"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "ENSEMBLE_SIZE"
            value: "3"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "SERVER_ID"
            value: "1"
          image: "fabric8/zookeeper:2.2.108"
          name: "zookeeper"
          ports:
          - containerPort: 2181
            name: "zkclient"
          - containerPort: 3888
            name: "election"
          - containerPort: 2888
            name: "peer"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts:
          - mountPath: "/opt/zookeeper/data"
            name: "data"
            readOnly: false
          - mountPath: "/opt/zookeeper/log"
            name: "log"
            readOnly: false
        imagePullSecrets: []
        nodeSelector: {}
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "data"
        - emptyDir:
            medium: "Memory"
          name: "log"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-commit: "1f05bb1f49005a5ca248f337201497a2d27a8e8d"
      fabric8.io/git-branch: "release-v2.2.108"
      fabric8.io/build-id: "1"
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "2"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-2"
  spec:
    replicas: 1
    selector:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "2"
      group: "io.fabric8.ipaas.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zookeeper"
          provider: "fabric8"
          version: "2.2.108"
          serverId: "2"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "ENSEMBLE_SIZE"
            value: "3"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "SERVER_ID"
            value: "2"
          image: "fabric8/zookeeper:2.2.108"
          name: "zookeeper"
          ports:
          - containerPort: 2181
            name: "zkclient"
          - containerPort: 3888
            name: "election"
          - containerPort: 2888
            name: "peer"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts:
          - mountPath: "/opt/zookeeper/data"
            name: "data"
            readOnly: false
          - mountPath: "/opt/zookeeper/log"
            name: "log"
            readOnly: false
        imagePullSecrets: []
        nodeSelector: {}
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "data"
        - emptyDir:
            medium: "Memory"
          name: "log"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-commit: "1f05bb1f49005a5ca248f337201497a2d27a8e8d"
      fabric8.io/git-branch: "release-v2.2.108"
      fabric8.io/build-id: "1"
    labels:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "3"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-3"
  spec:
    replicas: 1
    selector:
      project: "zookeeper"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "3"
      group: "io.fabric8.ipaas.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "zookeeper"
          provider: "fabric8"
          version: "2.2.108"
          serverId: "3"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "ENSEMBLE_SIZE"
            value: "3"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "SERVER_ID"
            value: "3"
          image: "fabric8/zookeeper:2.2.108"
          name: "zookeeper"
          ports:
          - containerPort: 2181
            name: "zkclient"
          - containerPort: 3888
            name: "election"
          - containerPort: 2888
            name: "peer"
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts:
          - mountPath: "/opt/zookeeper/data"
            name: "data"
            readOnly: false
          - mountPath: "/opt/zookeeper/log"
            name: "log"
            readOnly: false
        imagePullSecrets: []
        nodeSelector: {}
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "data"
        - emptyDir:
            medium: "Memory"
          name: "log"
kind: "List"
